IRPCVaultExtensionMethods.ExecuteExtensionMethodEx

View as Markdown

Vault API / standard write session returns metadata structure version

Runs an extension method of a vault application. In new code use RunExtensionMethod.

ServiceVault extension methods MFiles.IRPCVaultExtensionMethods
gRPC method/MFiles.IRPCVaultExtensionMethods/ExecuteExtensionMethodEx
HTTP (mf-http-grpc)POST /grpc/v1/execute-extension-method-ex
RequestExecuteExtensionMethodExRequest
ResponseExecuteExtensionMethodExResponse
Book and levelVault API, standard
Kindwrite
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Remarks

Request: ExecuteExtensionMethodExRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
applicationstringThe GUID of the vault application.
extensionstringThe identifier of the application's extension object.
instancestringThe identifier of the extension object instance.
methodstringThe name of the method.
inputstringThe input passed to the method.

Response: ExecuteExtensionMethodExResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
outputstringThe output of the method.